%global name1 libnbtplusplus
%global commit1 92f8d57227feb94643378ecf595626c60c0f59b8
%global shortcommit1 %(c=%{commit1}; echo ${c:0:7})
%global name2 quazip
%global commit2 3691d57d3af13f49b2be2b62accddefee3c26b9c
%global shortcommit2 %(c=%{commit2}; echo ${c:0:7})

Name: multimc
Version: 0.6.5
Release: 1%{?dist}
Summary: Minecraft launcher with ability to manage multiple instances

# MultiMC is licensed under ASL 2.0, other parts are described bellow
# BSD              ColumnResizer, LocalPeer, ganalytics
# GPLv2            Pack200
# ISC              Hoedown 
# LGPLv2 and zlib  Quazip
# LGPLv2 or LGPLv3 qiconloader
# LGPLv2+          rainbow (KGuiAddons), xdgicon
# LGPLv3+          libnbt++2
# Public Domain    xz-minidec
# SIL              Material Design Icons
License: ASL 2.0 and BSD and GPLv2 and ISC and (LGPLv2 and zlib) and (LGPLv2 or LGPLv3) and LGPLv2+ and LGPLv3+ and Public Domain and SIL
URL: https://multimc.org

Source0: https://github.com/MultiMC/MultiMC5/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1: https://github.com/MultiMC/libnbtplusplus/archive/%{commit1}/%{name1}-%{shortcommit1}.tar.gz
Source2: https://github.com/MultiMC/quazip/archive/%{commit2}/%{name2}-%{shortcommit2}.tar.gz

BuildRequires: chrpath
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: java-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: zlib-devel
Requires: hicolor-icon-theme
Requires: java-headless

# Remove after Fedora 30
Provides: multimc5 = %{version}-%{release}
Obsoletes: multimc5 < 0.5.1-3

%description
MultiMC is a free, open source launcher for Minecraft. It allows you to have
multiple, separate instances of Minecraft (each with their own mods, texture
packs, saves, etc) and helps you manage them and their associated options with
a simple interface.


%prep
%setup -qn MultiMC5-%{version} -a1 -a2
rmdir libraries/%{name1} libraries/%{name2}
mv %{name1}-%{commit1} libraries/%{name1}
mv %{name2}-%{commit2} libraries/%{name2}


%build
%cmake -DCMAKE_BUILD_TYPE=Debug \
       -DMultiMC_LAYOUT=lin-system \
       -DMultiMC_LIBRARY_DEST_DIR=%{_libdir}/%{name} \
       -DMultiMC_UPDATER=OFF \
       .
       
%{make_build}


%install
%{make_install}
chmod +x %{buildroot}%{_libdir}/%{name}/*

install -d -m 0755 %{buildroot}%{_datadir}/applications
desktop-file-install application/package/linux/multimc.desktop

install -d -m 0755 %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
install -p -m 0644 application/resources/multimc/scalable/multimc.svg \
        %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
echo "%{_libdir}/%{name}" > "%{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf"


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}
%config %{_sysconfdir}/ld.so.conf.d/*
%doc changelog.md README.md
%license COPYING.md



%changelog
* Fri May 03 2019  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.6.5-1
- Update to 0.6.5, quazip to 3691d57
- Remove Group tag

* Tue Apr 10 2018  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.6.2-1
- Update to 0.6.2

* Sat Jan 13 2018  Samuel Rakitničan <samuel.rakitnican@gmail.com>
- Licenses breakdown
- Add upstreamed patch that makes use of CMAKE_INSTALL_PREFIX properly

* Sat Jan 13 2018  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.6.0-1
- Bump to 0.6.0
- Adapt to the new upstream 'lin-system' build layout
- Remove scriptlets that deals with updating icons etc.
- Enable debug build
- Rename from multimc5 to multimc
- Remove now obsolete wrapper script
- Configuration is now looked for in ~/.local/share/multimc by default

* Tue Mar 14 2017  Samuel Rakitničan <samuel.rakitnican@gmail.com>
- Use default rpm silent options for tar

* Wed Mar  8 2017  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.5.1-2
- Fix for GCC 7 MultiMC-GH(#1836)

* Wed Mar  8 2017  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.5.1-1
- Update to a new version: MultiMC, libnbt++
- Unpack libnbtplusplus to libraries/ instead of depends/
- Install all libraries and jars, not just specific ones

* Tue Dec 20 2016  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.4.11-2
- Changed Java build package requirement to a more generic name
- Changed to a Qt devel package that is included in all recent releases
- Added Java requirement, necessary for some program functions

* Mon Dec 19 2016  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.4.11-1
- Initial Build
